Get my streak progress
curl --request GET \
--url https://{subdomain}.nudj.cx/api/v2/integration/me/streaks \
--header 'x-api-token: <api-key>'import requests
url = "https://{subdomain}.nudj.cx/api/v2/integration/me/streaks"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://{subdomain}.nudj.cx/api/v2/integration/me/streaks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"organisationId": "<string>",
"isEnabled": true,
"triggerEvents": {
"platform": [],
"custom": [
"<string>"
]
},
"userState": {
"currentStreak": 123,
"isCurrentDayComplete": true
},
"communityId": "<string>"
}
]{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Me
Get my streak progress
Retrieve the current user’s streak progress.
GET
/
me
/
streaks
Get my streak progress
Authorizations
Query Parameters
Response
Successful response
The id of the streak config
Pattern:
^[0-9a-fA-F]{24}$The id of the organisation this streak config belongs to
Pattern:
^[0-9a-fA-F]{24}$Whether the streak is enabled and users can start and extend streaks.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The id of the community this streak config belongs to. No community means this is an organisation level streak config.
Pattern:
^[0-9a-fA-F]{24}$Was this page helpful?
⌘I

